Search for to

  1. Search 7.x for to
  2. Search 9.5.x for to
  3. Search 8.9.x for to
  4. Search 10.3.x for to
  5. Search main for to
  6. Other projects
Title Object type File name Summary
QueryFactory::getSubscribedEvents function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php
QueryFactory::getValues function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Finds all the values for a configuration key in a configuration object.
QueryFactory::onConfigDelete function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Removes configuration entity from key store.
QueryFactory::onConfigSave function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Updates configuration entity in the key store.
QueryFactory::updateConfigKeyStore function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Updates or adds lookup data.
QueryFactory::__construct function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/lib/Drupal/Core/Entity/Query/Sql/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/lib/Drupal/Core/Entity/Query/Sql/pgsql/QueryFactory.php
QueryFactory::__construct function core/lib/Drupal/Core/Entity/Query/Null/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/lib/Drupal/Core/Entity/KeyValueStore/Query/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/modules/workspaces/src/EntityQuery/QueryFactory.php
QueryFactoryInterface interface core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Defines an interface for QueryFactory classes.
QueryFactoryInterface.php file core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php
QueryFactoryInterface::get function core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Instantiates an entity query for a given entity type.
QueryFactoryInterface::getAggregate function core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Instantiates an aggregation query object for a given entity type.
QueryFactoryTest class core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests Drupal\Core\Config\Entity\Query\QueryFactory.
QueryFactoryTest.php file core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php
QueryFactoryTest::getConfigObject function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Gets a test configuration object.
QueryFactoryTest::providerTestGetKeys function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php
QueryFactoryTest::testGetKeys function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests get keys.
QueryFactoryTest::testGetKeysWildCardEnd function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests get keys wild card end.
QueryGroupByTest::$storage property core/modules/views/tests/src/Kernel/QueryGroupByTest.php The storage for the test entity type.
QueryGroupByTest::testGroupByCountOnlyFilters function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests group by with filters.
QueryOptionsTest::testStoreQuerySettingsOverride function core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php Test that query overrides are stored.
QueryParameterWorkspaceNegotiator class core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Defines the query parameter workspace negotiator.
QueryParameterWorkspaceNegotiator.php file core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::$persist property core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Whether the negotiated workspace should be persisted.
QueryParameterWorkspaceNegotiator::applies function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::getActiveWorkspaceId function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::getQueryOptions function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Returns the query options used by this negotiator.
QueryParameterWorkspaceNegotiator::getQueryToken function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Calculates a token based on a workspace ID.
QueryParameterWorkspaceNegotiator::setActiveWorkspace function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::unsetActiveWorkspace function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryPluginBase::$groupOperator property core/modules/views/src/Plugin/views/query/QueryPluginBase.php Controls how the WHERE and HAVING groups are put together.
QueryPluginBase::setGroupOperator function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Control how all WHERE and HAVING groups are put together.
QueryPluginBase::setOffset function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Set an OFFSET on the query, specifying a number of results to skip.
QueryPluginBase::submitOptionsForm function core/modules/views/src/Plugin/views/query/QueryPluginBase.php
QueryTest::testConditionOperatorArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via condition operator.
QueueDatabaseFactory class core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Defines the queue factory for the database backend.
QueueDatabaseFactory.php file core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php
QueueDatabaseFactory::$connection property core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php The database connection.
QueueDatabaseFactory::get function core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php
QueueDatabaseFactory::__construct function core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Constructs this factory object.
QueueExceptionsTest::testDelayedRequeueExceptionCallsParentConstructor function core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php Tests that the `DelayedRequeueException` calls parent constructor.
QueueFactory class core/lib/Drupal/Core/Queue/QueueFactory.php Defines the queue factory.
QueueFactory.php file core/lib/Drupal/Core/Queue/QueueFactory.php
QueueFactory::$queues property core/lib/Drupal/Core/Queue/QueueFactory.php Instantiated queues, keyed by name.
QueueFactory::$settings property core/lib/Drupal/Core/Queue/QueueFactory.php The settings object.
QueueFactory::get function core/lib/Drupal/Core/Queue/QueueFactory.php Constructs a new queue.
QueueFactory::__construct function core/lib/Drupal/Core/Queue/QueueFactory.php Constructs QueueFactory object.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.